function tform = einsteinTform

% From MATLAB Techniques for Image Processing by Steve Eddins
% Copyright 2012-2014 The MathWorks, Inc.

tform = maketform('custom',2,2,[],@T_inv,[]);

%===================================================================
function uv = T_inv(xy,~)

x = xy(:,1) - 150;
y = xy(:,2) - 150;

[a_out,r_out] = cart2pol(x,y);

a_in = a_out;
r_in = sqrt(r_out*212);

[u,v] = pol2cart(a_in,r_in);

uv = [u + 150,v + 150];
